libseccomp (2.5.5-1ubuntu6) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:31:09 +0000

libseccomp (2.5.5-1ubuntu5) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:54 +0100

libseccomp (2.5.5-1ubuntu4) oracular-proposed; urgency=medium

  * LP: #2076340: No-change rebuild to pick up changed build flags on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Aug 2024 14:55:38 +0200

libseccomp (2.5.5-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:58:07 +0000

libseccomp (2.5.5-1ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:14:35 +0100

libseccomp (2.5.5-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - Add autopkgtests
  * Added changes:
    - d/t/test-filter: generate syscalls list from src/syscalls.csv rather than
      shipping a static list to ensure all get tested via autopkgtests
  * Dropped changes:
    - d/t/data/all-5.16-rc1.filter: remove static syscall list

 -- Alex Murray <alex.murray@canonical.com>  Fri, 02 Feb 2024 13:30:43 +1030

libseccomp (2.5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 04 Jan 2024 18:29:54 +0100

libseccomp (2.5.4-2ubuntu2) noble; urgency=medium

  * d/t/testsuite-live-python3: skip this test if on a) armhf; b)
    ubuntu; c) lxd (LP: #2051118)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 26 Jan 2024 15:04:52 -0300

libseccomp (2.5.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Add autopkgtests

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Nov 2023 09:38:45 +0100

libseccomp (2.5.4-2) unstable; urgency=medium

  * Fix watch file. (Closes: #1050659)
  * Dynamically skip autopkgtests when the test runner already applies seccomp
    restrictions.
    - Drop isolation-machine restriction.
  * Fix FTBFS with setuptools. (Closes: #1054788, #1033641)
    - Add python_Fix_distutils_DeprecationWarning.patch
    - Add python_single_version_externally_managed.patch
    - Explicitly build-depend on python3-setuptools

 -- Felix Geyer <fgeyer@debian.org>  Sun, 29 Oct 2023 15:13:08 +0100

libseccomp (2.5.4-1ubuntu3) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:23:34 -0500

libseccomp (2.5.4-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:24:36 +0000

libseccomp (2.5.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - Add autopkgtests

 -- Alex Murray <alex.murray@canonical.com>  Tue, 03 May 2022 11:43:10 +0930

libseccomp (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 21 Apr 2022 22:23:12 +0200

libseccomp (2.5.3-2ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:27:18 +0000

libseccomp (2.5.3-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - Add autopkgtests
  * Added changes:
    - Update autopkgtests to use syscalls from 5.16-rc1

 -- Alex Murray <alex.murray@canonical.com>  Thu, 24 Feb 2022 09:53:35 +1030

libseccomp (2.5.3-2) unstable; urgency=medium

  [ Alex Murray ]
  * Fix python version check in debian/rules to properly handle python3.10
    to resolve FTBFS (Closes: #999364)

 -- Felix Geyer <fgeyer@debian.org>  Thu, 18 Nov 2021 17:52:23 +0100

libseccomp (2.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches from 2.5.2-2, fixed upstream.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 06 Nov 2021 16:46:51 +0100

libseccomp (2.5.2-2ubuntu3) jammy; urgency=medium

  * d/tests/data: Add the 'rseq' syscall to the whitelists to fix tests
    with glibc 2.35.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Feb 2022 16:02:31 +1300

libseccomp (2.5.2-2ubuntu2) jammy; urgency=medium

  * Fix python version check in debian/rules to properly handle python3.10
    to resolve FTBFS

 -- Alex Murray <alex.murray@canonical.com>  Thu, 11 Nov 2021 10:30:58 +1030

libseccomp (2.5.2-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable; remaining changes:
    - Add autopkgtests
  * Dropped changes:
    - d/p/add-5.8-powerpc-syscall-headers.patch [only for backports]
  * Added changes:
    - Updated autopkgtests to fix lintian warnings

 -- Alex Murray <alex.murray@canonical.com>  Mon, 08 Nov 2021 14:29:33 +1030

libseccomp (2.5.2-2) unstable; urgency=medium

  * Revert mips and powerpc multiplexed syscall handling.
    - Fixes test suite failures. (Closes: #994285)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 03 Oct 2021 23:26:59 +0200

libseccomp (2.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 07 Sep 2021 11:14:34 +0200

libseccomp (2.5.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:46 +0000

libseccomp (2.5.1-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:18:03 +0200

libseccomp (2.5.1-1ubuntu1) hirsute; urgency=medium

  [ Christian Ehrhardt ]
  * Merge with Debian; remaining changes:
    - Add autopkgtests
  * Dropped changes:
    - d/p/db-consolidate-some-of-the-code-which-adds-rules.patch [in v2.5.0]
    - d/p/db-add-shadow-transactions.patch [in v2.5.0]
    - add-5.4-local-syscall-headers.patch [only for backports]
    - Add missing syscalls for aarch64 [in v2.5.0]
  * Added changes:
    - bump to recent stable release v2.5.1
    - drop patches that are upstream in 2.5.1
      - d/p/all_only_request_the_userspace_notification_fd_once.patch
      - d/p/arch_ensure_we_dont_munge_pseudo_syscall_numbers.patch
      - d/p/build_undefine_mips_to_prevent_build_problems.patch
      - d/p/system_change_our_notification_fd_handling.patch
      - d/p/tests_use_openat_and_fstat_instead_of_open_and_stat_syscalls.patch

  [ Alex Murray ]
  * Add system call headers for powerpc required for backport to xenial
    - d/p/add-5.8-powerpc-syscall-headers.patch

  [ Balint Reczey ]
  * Fix failing autopkgtests on armhf with glibc 2.33 (LP: #1915874)
    - Update various autopkgtests to permit the use of statx as this is
      now required with glibc 2.33

 -- Alex Murray <alex.murray@canonical.com>  Thu, 18 Feb 2021 10:57:21 +1030

libseccomp (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches as they have been applied upstream.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 21 Dec 2020 10:50:30 +0100

libseccomp (2.5.0-3) unstable; urgency=medium

  * Cherry-pick patch from the 2.5 branch to fix test error on mips:
    - arch_ensure_we_dont_munge_pseudo_syscall_numbers.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 08 Nov 2020 19:59:21 +0100

libseccomp (2.5.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Cherry-pick patches from the 2.5 branch to fix build and test errors:
    - build_undefine_mips_to_prevent_build_problems.patch
    - tests_use_openat_and_fstat_instead_of_open_and_stat_syscalls.patch

 -- Felix Geyer <fgeyer@debian.org>  Sun, 08 Nov 2020 15:49:41 +0100

libseccomp (2.5.0-1) experimental; urgency=medium

  * New upstream release.
    - Build-depend on gperf.
    - Update symbols file.
  * Remove patches that have been applied upstream:
    - cython3.patch
    - riscv64_support.patch
  * Cherry-pick patches from the 2.5 branch:
    - all_only_request_the_userspace_notification_fd_once.patch
    - system_change_our_notification_fd_handling.patch

 -- Felix Geyer <fgeyer@debian.org>  Sat, 24 Oct 2020 13:58:28 +0200

libseccomp (2.4.4-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Felix Geyer ]
  * New upstream release.
  * Download and verify orig gpg signature.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 20 Sep 2020 19:03:41 +0200

libseccomp (2.4.3-1ubuntu6) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:40:09 +0100

libseccomp (2.4.3-1ubuntu5) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:52:51 +0200

libseccomp (2.4.3-1ubuntu4) groovy; urgency=medium

  * d/p/db-consolidate-some-of-the-code-which-adds-rules.patch
  * d/p/db-add-shadow-transactions.patch (LP: #1861177)
    Backport upstream patches to address performance regression introduced
    in libseccomp 2.4.

 -- Ioanna Alifieraki <ioanna-maria.alifieraki@canonical.com>  Mon, 22 Jun 2020 11:10:27 +0100

libseccomp (2.4.3-1ubuntu3) groovy; urgency=medium

  * add-5.4-local-syscall-headers.patch: Add local copy of the
    architecture specific header files which specify system call numbers
    from linux-libc-dev in focal to ensure unit tests pass on older
    releases where the linux-libc-dev package does not have the required
    system calls defined and use these during compilation of unit tests

 -- Alex Murray <alex.murray@canonical.com>  Mon, 18 May 2020 14:12:13 +0930

libseccomp (2.4.3-1ubuntu2) groovy; urgency=medium

  * Add missing syscalls for aarch64 (LP: #1877633)
    - fix-aarch64-syscalls.patch: Backport of pending PR #235 from
      upstream

 -- Alex Murray <alex.murray@canonical.com>  Tue, 12 May 2020 13:21:14 +0930

libseccomp (2.4.3-1ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Add autopkgtests
    - Include clock_gettime64 in the autopkgtests in addition to
      clock_gettime, required on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Apr 2020 17:10:11 +0200

libseccomp (2.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches that have been applied upstream:
    - tests-rely-on-__SNR_xxx-instead-of-__NR_xxx-for-sysc.patch
    - api_define__SNR_ppoll_again.patch
  * Cherry-pick support for the riscv64 architecture. (Closes: #952386)
    - Add riscv64_support.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 12 Mar 2020 23:35:13 +0100

libseccomp (2.4.3-0ubuntu2) focal; urgency=medium

  * Include clock_gettime64 in the autopkgtests in addition to
    clock_gettime, required on armhf.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Mar 2020 00:22:37 -0700

libseccomp (2.4.3-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Mar 2020 18:46:05 +0100

libseccomp (2.4.2-2ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:44:06 +0100

libseccomp (2.4.2-2ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:20 +0000

libseccomp (2.4.2-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: 1849785). Remaining changes:
    * Add autopkgtests
  * Dropped changes (in upstream now):
    - db-properly-reset-attribute-state.patch
    - Updated to new upstream 2.4.1 version to fix security issue.
    - add-log-action.patch: Minimal backport to support the
      SECCOMP_RET_LOG action that was released in Linux kernel version
      4.14.
  * Dropped changes (in Debian now):
    - debian/tests/testsuite-live:
      - build utils with -pthread
      - build tools/scmp_api_level
    - debian/control: add valgrind to Build-Depends to get more unit tests.
    - debian/*.install: change python paths.
    - debian/libseccomp2.symbols: added new symbols.
    - debian/rules: add dh_auto_configure before dh_auto_install to pick up
      all the python versions.
    - debian/patches/*: removed, all included in new version.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 13 Nov 2019 08:41:54 +0100

libseccomp (2.4.2-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: fix potential FTFBS after full python3 switch
  * d/t/control: drop python2 test following the removal of the package

  [ Felix Geyer ]
  * Remove build-dependency on valgrind for mips64el as it's broken there.
  * Backport patch to define __SNR_ppoll again.
    - Add api_define__SNR_ppoll_again.patch
  * Replace custom patch for cython3 with the upstream fix.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 15 Nov 2019 18:12:53 +0100

libseccomp (2.4.2-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release 2.4.2 for compatibility with newer kernels and
    fixing FTBFS (LP: #1849785).
    - drop d/p/python_install_dir.patch (now upstream)
    - d/rules: adapt to python 3.8 lacking the m modifier on includes
      see https://wiki.debian.org/Python/Python3.8
    - d/p/tests-rely-on-__SNR_xxx-instead-of-__NR_xxx-for-sysc.patch: fix
      build time test on arm64

  [ Felix Geyer ]
  * Drop Python 2 bindings. (Closes: #936917)
    - Add cython3.patch to use the Python 3 cython variant.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 13 Nov 2019 00:00:49 +0100

libseccomp (2.4.1-2) unstable; urgency=medium

  * Remove build-dependency on valgrind for mipsel and x32 as it's broken
    on those archs.
  * Set Rules-Requires-Root: no.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 19 Jul 2019 00:03:34 +0200

libseccomp (2.4.1-1) unstable; urgency=medium

  * New upstream release.
    - Addresses CVE-2019-9893 (Closes: #924646)
  * Drop all patches for parisc arch support, merged upstream.
  * Build-depend on valgrind to run more unit tests.
  * Run dh_auto_configure for every python 3 version to install the extension
    in the correct path.
  * Update the symbols file.
  * Adapt autopkgtest to new upstream version:
    - Build against pthread
    - Build scmp_api_level tool
  * Upgrade to debhelper compat level 12.
    - Add d/not-installed file
  * Fix install path of the python module.
    - Add python_install_dir.patch
  * Add autopkgtest for python packages.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 17 Jul 2019 23:23:28 +0200

libseccomp (2.4.1-0ubuntu0.19.10.3) eoan; urgency=medium

  * db-properly-reset-attribute-state.patch: db: properly reset the attribute
    state in db_col_reset()

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 03 May 2019 20:05:37 +0000

libseccomp (2.4.1-0ubuntu0.19.10.2) eoan; urgency=medium

  * debian/tests/testsuite-live:
    - build utils with -pthread
    - build tools/scmp_api_level
  * debian/tests/src/test-seccomp.c: #include <ctype.h>

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 23 Apr 2019 13:29:31 +0000

libseccomp (2.4.1-0ubuntu0.19.10.1) eoan; urgency=medium

  [ Marc Deslauriers ]
  * Updated to new upstream 2.4.1 version to fix security issue.
    - CVE-2019-9893
  * debian/patches/*: removed, all included in new version.
  * debian/control: add valgrind to Build-Depends to get more unit tests.
  * debian/*.install: change python paths.
  * debian/libseccomp2.symbols: added new symbols.
  * debian/rules: add dh_auto_configure before dh_auto_install to pick up
    all the python versions.

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 22 Apr 2019 21:00:38 +0000

libseccomp (2.3.3-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #903556)
    + Multiarchify python Build-Depends.
    + Annotate cython dependencies with :native for now.
    + Drop noop dh_auto_build invocations.
    + Pass a suitable PYTHONPATH for python2.
    + Pass _PYTHON_SYSCONFIGDATA_NAME for python3.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 10 Feb 2019 12:25:44 +0100

libseccomp (2.3.3-3ubuntu2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 11:51:23 +0000

libseccomp (2.3.3-3ubuntu1) cosmic; urgency=medium

  * Merge from Debian testing. Remaining changes:
    - add-log-action.patch: Minimal backport to support the
      SECCOMP_RET_LOG action that was released in Linux kernel version
      4.14.
    - Add autopkgtests.

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 06 Jul 2018 18:03:38 +0000

libseccomp (2.3.3-3) unstable; urgency=medium

  * Fix FTBFS: Adapt to renamed README file. (Closes: #902767)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 01 Jul 2018 20:32:03 +0200

libseccomp (2.3.3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Support the nopython build profile. (Closes: #897057)

  [ Felix Geyer ]
  * Run upstream "live" tests in an autopkgtest.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 13 May 2018 09:53:08 +0200

libseccomp (2.3.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #895417)
    - Adds pkey_mprotect syscall. (Closes: #893722)
  * Refresh parisc patch.
  * Move libseccomp2 back to /usr/lib. (Closes: #894988)
  * Make test failures cause the build to fail. (Closes: 877901)
  * Build python bindings. (Closes: #810712)
  * Switch to debhelper compat level 10.
  * Move git repo to salsa.debian.org
  * Add myself to Uploaders.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 22 Apr 2018 23:55:03 +0200

libseccomp (2.3.1-2.1ubuntu4) bionic; urgency=medium

  * debian/tests/data/open.fail_filter: The libseccomp autopkgtests were
    failing with glibc 2.27 due to changes in glibc which resulted in
    openat() exclusively being used, without any calls to open(). This
    resulted in the test process exiting normally instead of being
    killed, as was expected. Fix the test failure by removing openat()
    from the list of whitelisted syscalls so that the process is killed.

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 01 Mar 2018 18:09:19 +0000

libseccomp (2.3.1-2.1ubuntu3) artful; urgency=medium

  * debian/rules: Make test failures cause the build to fail (LP: #1657425)

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 06 Oct 2017 18:08:21 +0000

libseccomp (2.3.1-2.1ubuntu2) artful; urgency=medium

  * add-log-action.patch: Minimal backport to support the SECCOMP_RET_LOG
    action that will be released in Linux kernel version 4.14. (LP: #1567597)

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 19 Sep 2017 21:37:38 +0000

libseccomp (2.3.1-2.1ubuntu1) zesty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add autopkgtests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Dec 2016 15:20:21 +0100

libseccomp (2.3.1-2.1) unstable; urgency=medium

  [ Martin Pitt ]
  * Non-maintainer upload with Kees' consent.

  [ Laurent Bigonville ]
  * Ensure strict enough generated dependencies (Closes: #844496)

 -- Martin Pitt <mpitt@debian.org>  Thu, 17 Nov 2016 10:16:44 +0100

libseccomp (2.3.1-2ubuntu2) yakkety; urgency=medium

  * Fix autopkgtest, seccomp resolution now returns negative syscall
    numbers for multiplexed calls, thus direct access symbols roundtrip is
    via negative numbers. E.g. 373 -> shutdown -> -113 -> shutdown.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jun 2016 18:14:04 +0100

libseccomp (2.3.1-2ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable LP: #1580558. Remaining Ubuntu changes:
    - Add autopkgtests. (Closes: #788577)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 08 Jun 2016 10:36:11 +0100

libseccomp (2.3.1-2) unstable; urgency=medium

  * Add hppa (parisc) support (Closes: #820501)

 -- Luca Bruno <lucab@debian.org>  Sat, 28 May 2016 20:05:01 +0200

libseccomp (2.3.1-1) unstable; urgency=medium

  * New upstream release
  * control: add Vcs-* fields

 -- Luca Bruno <lucab@debian.org>  Tue, 05 Apr 2016 22:16:55 +0200

libseccomp (2.3.0-1) unstable; urgency=medium

  * New upstream release
    + drop all patches, applied upstream
  * libseccomp2: update symbols file
  * control: add myself to uploaders
  * control: bump policy version

 -- Luca Bruno <lucab@debian.org>  Sun, 03 Apr 2016 00:31:09 +0200

libseccomp (2.2.3-3ubuntu3) xenial; urgency=medium

  * Fix FTBFS.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Mar 2016 15:28:16 +0000

libseccomp (2.2.3-3ubuntu2) xenial; urgency=medium

  * Cherrypick git-d2ca11b7cdddbba3782b1e306ceacf19e898faee.diff. (LP:
    #1554098)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Mar 2016 14:58:46 +0000

libseccomp (2.2.3-3ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add autopkgtests. (Closes: #788577)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Feb 2016 16:16:01 +0100

libseccomp (2.2.3-3) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/patches/add-x86-32bit-socket-calls.patch: add the newly
    connected direct socket calls. (Closes: #809556)
  * debian/add-membarrier.patch: add membarrier syscall.
  * Backport patches for ppc/ppc64 and s390x. (Closes: #800818)

 -- Kees Cook <kees@debian.org>  Tue, 01 Sep 2015 15:37:31 -0700

libseccomp (2.2.3-2ubuntu3) xenial; urgency=low

  * debian/patches/add-x86-32bit-socket-calls.patch: add the newly
    connected direct socket calls.  (LP: #1526358)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 16 Dec 2015 14:30:17 +0000

libseccomp (2.2.3-2ubuntu2) xenial; urgency=medium

  * debian/add-membarrier.patch: add membarrier syscall. This can be dropped
    once libseccomp is synced with 4.3 or higher

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 14 Dec 2015 10:19:37 -0600

libseccomp (2.2.3-2ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - add autopkgtests
  * debian/control: Build on linux-any.
  * Backport patches for ppc/ppc64. LP: #1427076.
  * Backport patches for s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 17:45:30 +0200

libseccomp (2.2.3-2) unstable; urgency=medium

  * debian/control: enable mips64, mips64el, and x32 architectures,
    thanks to Helmut Grohne (Closes: 797383).

 -- Kees Cook <kees@debian.org>  Tue, 01 Sep 2015 15:37:31 -0700

libseccomp (2.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: 793032).
  * debian/control: update Homepage (Closes: 793033).

 -- Kees Cook <kees@debian.org>  Mon, 03 Aug 2015 15:06:08 -0700

libseccomp (2.2.1-2ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add autopkgtest (Debian #788577)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Jun 2015 07:36:57 +0200

libseccomp (2.2.1-2) unstable; urgency=medium

  * debian/{rules,*.install}: move to /lib, thanks to Michael Biebl
    (Closes: 788923).

 -- Kees Cook <kees@debian.org>  Tue, 16 Jun 2015 12:45:08 -0700

libseccomp (2.2.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable. Dropped following patches (included in
    upstream):
    - add-finit-module.patch
    - update-x86-syscall-table.patch
    - update-x86_64-syscall-table.patch
    - update-arm-syscall-table.patch
    - update-x32-syscall-table.patch
    - sync-syscall-table-entries.patch
    - sync-syscall-table-entries-fixtypo.patch
    - sync-syscall-table-entries-3.17.patch
    - sync-syscall-table-entries-3.19.patch
    - fix-segfault-with-unknown.patch
    - add-missing-arm-private-syscalls.patch
  * Remaining changes:
    - add autopkgtests

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Jun 2015 15:12:22 -0500

libseccomp (2.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: 785428).
    - debian/patches dropped: incorporated upstream.
  * debian/libseccomp2.symbols: include only documented symbols.
  * debian/libseccomp-dev.install: include static library (Closes: 698508).
  * debian/control:
    - add newly supported arm64, mips, and mipsel.
    - bump standards version, no changes needed.

 -- Kees Cook <kees@debian.org>  Sat, 16 May 2015 08:15:26 -0700

libseccomp (2.1.1-1ubuntu1) wily; urgency=medium

  * add-finit-module.patch: add finit_module syscalls to x86 and x86-64
    syscall tables
  * update syscalls for modern kernels (skipping MIPS)
    - update syscalls for 3.16:
      + update-x86-syscall-table.patch
      + update-x86_64-syscall-table.patch
      + update-arm-syscall-table.patch
      + update-x32-syscall-table.patch
      + sync-syscall-table-entries.patch
      + sync-syscall-table-entries-fixtypo.patch
    - update syscalls for 3.17:
      + sync-syscall-table-entries-3.17.patch
    - update syscalls for 3.19:
      + sync-syscall-table-entries-3.19.patch
    - LP: #1450642
  * fix-segfault-with-unknown.patch: fix segfault when find unknown syscall
  * debian/patches/add-missing-arm-private-syscalls.path: add missing private
    ARM syscalls
  * add autopkgtests for scmp_sys_resolver and filter testing and
    SYS_getrandom() testing

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 08 May 2015 17:08:43 -0400

libseccomp (2.1.1-1) unstable; urgency=low

  * New upstream release (Closes: 733293).
  * copyright: add a few missed people.
  * rules: adjusted for new test target.
  * libseccomp2.symbols: drop accidentally exported functions.
  * control:
    - bump standards, no changes needed.
    - add armel target

 -- Kees Cook <kees@debian.org>  Sat, 12 Apr 2014 10:44:22 -0700

libseccomp (2.1.0+dfsg-1) unstable; urgency=low

  * Rebuild source package without accidental binaries (Closes: 725617).
    - debian/watch: mangle upstream version check.
  * debian/rules: make tests non-fatal while upstream fixes them
    (Closes: 721292).

 -- Kees Cook <kees@debian.org>  Sun, 06 Oct 2013 15:05:51 -0700

libseccomp (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: 718398):
    - dropped debian/patches/manpage-dashes.patch: taken upstream.
    - dropped debian/patches/include-unistd.patch: not needed.
    - debian/patches/testsuite-x86-write.patch: taken upstream.
    - ABI bump: moved from libseccomp1 to libseccomp2.
  * debian/control:
    - added Arch: armhf, now supported upstream.
    - added seccomp binary package for helper tools.
  * Added debian/patches/manpage-typo.patch: spelling fix.
  * Added debian/patches/build-ldflags.patch: fix LDFLAGS handling.

 -- Kees Cook <kees@debian.org>  Tue, 13 Aug 2013 00:02:01 -0700

libseccomp (1.0.1-2) unstable; urgency=low

  * debian/rules: enable testsuite at build time, thanks to
    Stéphane Graber (Closes: 698803).
  * Added debian/patches/include-unistd.patch: detect location of
    asm/unistd.h correctly.
  * Added debian/patches/testsuite-x86-write.patch: skip the "write"
    syscall correctly on x86.
  * debian/control: bump standards to 3.9.4, no changes needed.

 -- Kees Cook <kees@debian.org>  Wed, 23 Jan 2013 13:11:53 -0800

libseccomp (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: only build on amd64 and i386 (Closes: 687368).

 -- Kees Cook <kees@debian.org>  Fri, 07 Dec 2012 11:38:03 -0800

libseccomp (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - bump ABI.
    - drop build verbosity patch, use upstream V=1 instead.
  * libseccomp-dev.manpages: fix build location (Closes: 682152, 682471).
  * debian/patches/pkgconfig-macro.patch: use literals for macro.

 -- Kees Cook <kees@debian.org>  Fri, 03 Aug 2012 16:59:41 -0700

libseccomp (0.1.0-1) unstable; urgency=low

  * New upstream release.
    - drop patches taken upstream:
      - libexecdir.patch
      - pass-flags.patch

 -- Kees Cook <kees@debian.org>  Fri, 08 Jun 2012 12:32:22 -0700

libseccomp (0.0.0~20120605-1) unstable; urgency=low

  * Initial release (Closes: #676257).

 -- Kees Cook <kees@debian.org>  Tue, 05 Jun 2012 11:28:07 -0700
